org.apache.fop.afp.goca

## Class GraphicsSetArcParameters

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
    - - org.apache.fop.afp.goca.AbstractGraphicsCoord
      - - org.apache.fop.afp.goca.GraphicsSetArcParameters

- All Implemented Interfaces:
    Streamable, StructuredData

      public class GraphicsSetArcParameters
      extends AbstractGraphicsCoord

  Sets the arc parameters for a GOCA graphics arc (circle/ellipse)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord

      `coords, relative`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsSetArcParameters(int xmaj, int ymin, int xmin, int ymaj)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte` | `getOrderCode()` Returns the order code of this structured field
    `String` | `toString()`

    - ### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord

      `addCoords, getDataLength, isRelative, writeToStream`

    - ### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder

      `getName`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsSetArcParameters

          public GraphicsSetArcParameters(int xmaj,
                                          int ymin,
                                          int xmin,
                                          int ymaj)

      Constructor
      Parameters:
        `xmaj` - x coordinate of the major axis point
        `ymin` - y coordinate of the minor axis point
        `xmin` - x coordinate of the minor axis point
        `ymaj` - y coordinate of the major axis point

  - ### Method Detail

    - #### getOrderCode

          protected byte getOrderCode()

      Returns the order code of this structured field
      Returns:
        the order code of this structured field

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractGraphicsCoord`

Copyright © 2023 Apache Software Foundation. All rights reserved.